#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long x1,y1,x2,y2;
    cin>>x1>>y1>>x2>>y2;
    if((x1==x2)||(y1==y2))
        cout<<2;
    else
    {
        long long r1,r2;
        r1=abs(y2-y1);
        r2=abs(x2-x1);
        if(r1==r2)
            cout<<1;
        else
            cout<<0;
    }
}